Manual:Requisitos de Instalação

This page is a translated version of the page Manual:Installation requirements and the translation is 59% complete.
Outdated translations are marked like this.

Além do próprio software, uma instalação padrão do MediaWiki tem os seguintes requisitos:

  • É necessário um servidor da Web para lidar com as páginas solicitadas para o navegador cliente.
  • É necessário o PHP para executar o software.

Além destas, há várias dependências opcionais que são necessárias se quiser usar algumas das funcionalidades mais avançadas (veja abaixo).

Se o seu site da Web está alojado (exemplo, se não tem controlo direto sobre o mesmo), então contacte os administradores do servidor ou a empresa de alojamento para se certificar de que estes pacotes de software estão instalados e disponíveis.

To run MediaWiki maintenance scripts, you will need command line access.

Instalação simples com uma transferência

Se está a utilizar o Linux, é melhor instalar o apache, php e MariaDB utilizando o sue gestor de pacotes. Em Debian e Ubuntu, pode fazê-lo assim:

sudo apt-get install php php-apcu php-intl php-mbstring php-xml php-mysql php-calendar mariadb-server apache2

Pacotes de software

Em outros sistemas operativos, utilize XAMPP de https://www.apachefriends.org para instalar e configurar todos os pacotes importantes, o servidor da Web Apache, PHP, e MariaDB com uma única transferência Está disponível para Linux, Mac, Solaris e Windows. Desde agosto de 2016, a versão mais recente do XAMPP inclui o PHP 7.0 (o MediaWiki requer pelo menos o 7.3.19/7.4.3).

Como alternativa, se utiliza um computador Apple, podes utilizar MAMP, que é o equivalente a XAMPP. MAMP inclui atualmente a capacidade de executar o servidor da Web Apachey e a banco de dados MySQL. Está disponível para o Windows e para o Mac, mas geralmente utiliza-se no Mac em vez do Windows.

Servidor de Web

Para lidar com as páginas wiki nos browsers, o MediaWiki requer o software de servidor da Web Normalmente, não pode escolher o servidor que irá usar – usará o que for disponibilizado pelo seu fornecedor de alojamento.

MediaWiki is broadly compatible with all major web servers that can invoke a compatible version of PHP. A maioria das instalações utiliza o servidor da Web Apache, disponível na [$apachedownload página oficial de transferências]. nginx (configuration example) is a good choice as well.

PHP

O PHP é a linguagem de programação na qual o MediaWiki foi escrito, e é necessário para executar o software.

  • Para a versão estável mais recente do MediaWiki, é necessário pelo menos a [$phpdownload versão de PHP 7.3.19/7.4.3].

Consulte a página Compatibilidade para mais informação.

O MediaWiki é não compatível com o PHP 7.3.0 - 7.3.18 e 7.4.0 - 7.4.2 devido a um erro do upstream. Use PHP 7.3.19+ ou 7.4.3+ em seu lugar. Consulte task T246594 para mais informação.
Support for PHP 8.0 in MediaWiki is experimental. We are not aware of any issues, but it is not as well tested as PHP 7. PHP 8.1 is not supported. See task T248925 for more information.

Note que todas elas estão ativadas por predefinição no PHP.

  • On most Debian/Ubuntu-based distros the php-mysql package is required if you want MediaWiki to use MySQL.
  • Some features of MediaWiki may require PHP functions that execute external processes, like image thumbnailing, that some cheap hosts usually disable.

Please take this into consideration if you plan to install MediaWiki on a shared host.

  • MediaWiki extensions may require additional PHP features, e.g. VisualEditor requires libcurl support (php-curl on Debian/Ubuntu-based distros).

Se precisar de compilar o PHP a partir do código fonte, então consulte Configuração do PHP para saber as opções de compilação que afetam o MediaWiki.

Servidor da base de dados

O MediaWiki armazena todo o texto e dados (páginas de conteúdo, informações sobre o utilizador, mensagens de sistema, etc.) numa base de dados, que pode ser partilhada com outras aplicações web (phpBB, etc.) Para executar a versão mais recente do MediaWiki precisará de um dos seguintes servidores de base de dados:

  Aviso: Since MediaWiki 1.34 , we no longer support using Oracle and Microsoft SQL Server . We strongly advise to no longer to use these.

Alguns utilizadores preferem instalar um programa adicional como o phpMyAdmin (MySQL/MariaDB) ou o phpPgAdmin (Postgres) para ajudar a administrar o servidor da base de dados. Some hosting services also provide such software.

Requisitos de Hardware

Os requisitos mínimos recomendados são 256 MB de RAM para um site da Web alojado num único computador e 85 MB de armazenamento, embora isto seja insuficiente para um site público com grande afluência, ou que permita o envio (upload) de ficheiros. Alguns utilizadores conseguem executar o MediaWiki em computadores com 48 MB de RAM.

O tamanho de instalação pode ser reduzido para mais ao menos 50 Mb para uma instalação de desenvolvimento, e mais ao menos 26 Mb para uma instalação normal do utilizador final. Consulte Manual:Reduce size of the installation .

Dependências opcionais

  • ImageMagick ou o GD são necessários para Image thumbnailing .
  • TeX é necessário para exibir em linha as fórmulas matemáticas. Na maioria das distribuições baseadas em Debian/Ubuntu, encontra-se no pacote texlive.
  • Acesso à linha de comando (shell) é requerido para executar ''Scripts'' de Manutenção ; as atualizações do MediaWiki poderão ser mais difíceis sem este.

Consulte também